%define	_name	wavelet-denoise

Name:		gimp-plugin-%{_name}
Version:	0.3.1
Release:	%mkrel 3
Summary:	Gimp plugin to reduce noise in each channel of an image separately
Url:		http://registry.gimp.org/node/4235
Source:		http://registry.gimp.org/files/%{_name}-%{version}.tar.gz
Patch:		%{_name}-lib.patch
License:	GPLv2
Group:		Graphics

BuildRequires:	gimp-devel

Requires:	gimp

Provides:	%{_name}-gimp = %{version}-%{release}

%description
The wavelet denoise plugin is a tool to reduce noise in each channel
of an image separately. 
The default colour space to do denoising is YCbCr which has the 
advantage that chroma noise can be reduced without affecting image details. 
Denoising in CIELAB (L*a*b*) or RGB is available as an option. 
The user interface allows colour mode and preview channel selection. 
The denoising threshold can be set for each colour channel independently.

Features

    - User interface with preview is available
    - Amount of denoising for each channel is selectable
    - Possibility to denoise YCbCr or CIELAB channels instead of RGB exists
    - Noise profiling is done
    - Conversion from RGB to YCbCr and RGB to CIELAB is lossless
    - Preview is capable of displaying one single channel only if desired
    - User interface in multiple languages is available
%prep
%setup -q -n %{_name}-%{version}
%patch -b .makefile-lib

%build
%make

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_datadir}/locale/*/LC_MESSAGES/gimp20-%{_name}-plug-in.mo
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog

* Wed Jan 18 2012 matteo <matteo> 0.3.1-3.mga2
+ Revision: 197838
- fixed provides

* Wed Jan 18 2012 matteo <matteo> 0.3.1-2.mga2
+ Revision: 197809
- fixed unversioned provide
- fixed descriptions (rpmlint warnings)

* Tue Jan 17 2012 matteo <matteo> 0.3.1-1.mga2
+ Revision: 197490
- imported package gimp-plugin-wavelet-denoise

